const DEFAULT_API_URL = '/';
const env = {
  development: DEFAULT_API_URL,
  production: process.env.VUE_APP_API_URL || '.',
};
if (process.env.NODE_ENV === 'development') {
  try {
    // eslint-disable-next-line
    env.development = require('../../.env.json').API_URL;
  } catch (e) {
    console.error('env.json error', e);
  }
}
export const API_URL = env[process.env.NODE_ENV];
// 最长请求时间
export const requestTimeout = 10000;
