import { AxiosResponse } from 'axios';
import $http from '../plugins/axios/request';

/**
 * 获取配置
 */
function getSettings(params: Record<string, unknown>): Promise<AxiosResponse> {
  return $http.get('/dao/settings', params).then((res) => res.data) as Promise<AxiosResponse>;
}

export default {
  getSettings,
};
